Skip to navigation

Add providers to contract service facility

Beta
Appends provider IDs to the contract service facility. Provider IDs already on the facility are silently ignored.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

contract_idUUIDRequired
contract_service_facility_idUUIDRequired

Request

This endpoint expects an object.
provider_idsset of UUIDsRequired
Provider IDs to add to the contract service facility. Max 100,000 per request.

Response

This endpoint returns an object.
provider_countinteger
The total number of providers currently associated with this contract service facility after the operation
added_countinteger
The number of providers that were newly added to the contract service facility
ignored_countinteger
The number of provider IDs that were already associated with the contract service facility and thus ignored

Errors

404
Entity Not Found Error
422
Unprocessable Entity Error